Subject: Re: Net driver module dependencies on PHY driver modules

From: Tim Gardner <[email-masked]>
Date: Sat, 31 Oct 2009 09:34:13 -0600

Ben Hutchings wrote:
> I'm handling a bug report <http://bugs.debian.org/553024> relating to
> tg3 using phylib and missing the broadcom module.
> 
> There seem to be two general problems here:
> 1. PHY drivers are not auto-loaded
> 2. An initramfs builder cannot statically determine that a net device
> requires a PHY driver
> 
> It seems to me that PHY drivers should have aliases based on MDIO PHY
> ids, and phylib should request_module() if no suitable driver is
> registered.  This would solve (1) and go some way to solving (2).
> 
> Ben.
> 

I encountered the same issue with Karmic and worked around it by
building in all of the phylib modules, e.g., CONFIG_BROADCOM_PHY=y. I
agree that its not the best long term solution.

rtg
-- 
Tim Gardner [email-masked]